/***************************************************************************
 *   Copyright (C) 2018 by Nicolas Garcia-Pedrajas                         *
 *   npedrajas@uco.es                                                      *
 *                                                                         *
 *   This program is FREE software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "types.h"

// External variables associated with global types

char *isalgorithm[] = {"NoIS", "DROP3", "ICF", "CHC", "MSS", "RNN", "IB3", "RANDOM", "PSRCG", "RC45", "CFilter", "PSA", "CNN", "CNNTL", "OSS", "SMOTE", "Entropy", "Undersampling", "GCNN", "BoostBased",
            "RMHC", "HMNEI", "RNGE", "LVQPRU", "SimulatedAnnealing", "kNNCHC"},
     *fsalgorithm[] = {"NoFS", "GA", "LVF", "FOCUS", "RELIEFF", "RFE", "CLASSIFIER", "RANDOM", "ABB", "BB", "FCBF", "FOCUS-SF", "FAST", "CFS-SF", "SetCover", "QBB", "SFFS", "SBFS",
         "MICIBM", "CHC", "RANKING"},
     *isfsalgorithm[] = {"NoISFS", "CHCGA", "IMOEA", "ISplusFS", "FSplusIS"},
     *partitions[] = {"Random", "Board", "Equal", "RProtos", "OneInput", "GrandTour", "2DGrandTour","kMeans", "kClustering", "Decoupled", "Bagging"},
     *ensembles[] = {"NoBoost", "AdaBoost", "RealAdaBoost", "DiscreteAdaBoost", "Wagging", "Bagging", "RandomSubsampling", "GentleBoost", "MadaBoost", "ReweightBoost", "MultiBoost", "FloatBoost",
         "BalanceCascade", "EasyEnsemble", "AsymmetricAdaBoost", "AdaCost", "AdaC1", "AdaC2", "AdaC3", "CSB0", "CSB1", "CSB2", "Arcing", "BoostingProj", "RandomProj",  "AdaBoostMH", "FeatureBoost",
         "FreundNN", "RotationForest", "LearningFromBites", "FilterBoost"},
     *performance[] = {"Accuracy", "GMean", "Kappa", "auROC", "auPRC"},
     *fralgorithm[] = {"CUB", "Fisher"},
     *threshold_evaluation[] = {"Thresholding", "Graph", "MFDR", "VOOR", "MFE", "CM"};

     int n_isalgorithm = 26, n_fsalgorithm = 21, n_isfsalgorithm = 5, n_partitions = 11, n_ensembles = 31, n_performance = 5, n_fralgorithm = 2, n_threshold_evaluation = 6;
